productdetailslog
Searches Product Details Logs
Searches Product Details Logs
Query Parameters
Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. If specified, product_id, product_supplier_sku, product_short_description, product_created_on filters are ignored.
Movement Type or Collection of Movement Types (comma separated).
Example: Product Initialisation,Product Details Edited
Filter by.
Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:124001|124002
Order by.
Available field name values: id, created_on, product_id, product_supplier_sku, product_short_description, product_created_on, movement_type, origin, supplier_buy_ex_before, supplier_buy_ex_change, supplier_buy_ex_after, buy_price_ex_before, buy_price_ex_change, buy_price_ex_after, direct_costs_ex_before, direct_costs_ex_change, direct_costs_ex_after, sell_price_inc_before, sell_price_inc_change, sell_price_inc_after, discount_price_before, discount_price_change, discount_price_after, rrp_inc_before, rrp_inc_change, rrp_inc_after, web_price_inc_before, web_price_inc_change, web_price_inc_after, product_type_before, product_type_after, disabled_before, disabled_after.
Available direction values: asc, desc.
Example: id asc, created_on desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Details Logs data
ProductDetailLog.PagingResponse
Product Detail Log model
Show Child Parameters
Query Parameters
Headers
Gets specific Product Details Log by unique id
Gets specific Product Details Log by unique id
Path Parameters
Product Details Log id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Product Details Log
ProductDetailLog
Product Detail Log model
Id
Created on
Show Child Parameters
Product Detail Log Product model
Show Child Parameters
Source type
Origin
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
producteta
Searches Product Estimated Times of Arrival by parameters
This method allows the retrieval of the next available ETA for a specific product. Either a Product ID or SKU is required, as well as either a Sales Channel ID or a Fulfilment Outlet ID. You can only retrieve a single ETA for a single product at a time.
WARNING: This is a highly complex operation and will use considerable amounts of resource to generate the request.Please use this request sparingly and limit the number of calls.
The ETA is derived from the Order of Sourcing Priority in the Source Group definition, any Purchase Orders in the Status “On-Order” and any available stock in the fulfilment outlet.If a product has Available Stock, the returned ETA date will be today’s date. If a product does not have available stock and would be sourced from a Purchase Order, the returned ETA date will be the ETA stored against the Purchase Order.
Read more about Source & Fulfilment Concepts here.
Using the ‘available_for_preorder’ Boolean set to TRUE, you can limit the ETA calculation to only the Purchase Orders that have been flagged as ‘Available for Preorder’ within Retail Express PO Management.
WARNING: This Option is exclusive for users with the Retail Express Shopify Connector utilising Preorder Setting Option 2 “Accept Pre-Orders for On-Order Stock”.
Query Parameters
Product Id. Supplier SKU property are skipped, if used.
SKU. Product Id property are skipped, if used.
Quantity ordered. Required and must be other than 0
Fulfilment Outlet Id. Must be other than 0
Sales channel Id
Available for preorder
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Estimated Times of Arrival data
ProductETA.PagingResponse
Product ETA model